Package org.eclipse.microprofile.metrics.tck.metrics

## Class CountedClassBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.CountedClassBean

    @Dependent
    @Counted(name="countedClass")
    public class CountedClassBean
    extends Object

### Constructor Summary

Constructors
`CountedClassBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `countedMethodOne()`
`protected void` `countedMethodProtected()`
`void` `countedMethodTwo()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CountedClassBean

    public CountedClassBean()

### Method Detail

#### countedMethodOne

    public void countedMethodOne()

#### countedMethodTwo

    public void countedMethodTwo()

#### countedMethodProtected

    protected void countedMethodProtected()